> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 過去のトークン使用量

月ごとの過去のトークン使用量を返します。必要に応じて、APIキー別の内訳も取得できます。

<Info>請求を簡素化し、Extract も他のエンドポイントと同様にクレジット制に統一しました。1クレジットは15トークンに相当します。報告されるトークン使用量には、すべてのエンドポイントでの利用が含まれます。</Info>


## OpenAPI

````yaml ja/api-reference/v2-openapi.json get /team/token-usage/historical
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v2
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /team/token-usage/historical:
    get:
      tags:
        - Billing
      summary: 認証済みチームの履歴トークン使用量を取得します（Extract のみ）
      operationId: getHistoricalTokenUsage
      parameters:
        - name: byApiKey
          in: query
          description: APIキーごとのトークン使用量の履歴を取得する
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: 成功時のレスポンス
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  periods:
                    type: array
                    items:
                      type: object
                      properties:
                        startDate:
                          type: string
                          format: date-time
                          description: 請求期間の開始日
                          example: '2025-01-01T00:00:00Z'
                        endDate:
                          type: string
                          format: date-time
                          description: 請求期間の終了日
                          example: '2025-01-31T23:59:59Z'
                        apiKey:
                          type: string
                          description: >-
                            課金期間中に使用された API キー名。byApiKey が false（デフォルト）の場合は
                            null。
                          nullable: true
                        totalTokens:
                          type: integer
                          description: 課金期間内に使用されたトークンの総数
                          example: 1000
        '500':
          description: サーバーエラー
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: >-
                      Internal server error while fetching historical token
                      usage
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````